<?xml version="1.0" encoding="UTF-8"?>
<!-- Mit XMLSpy v2011 sp1 (x64) (http://www.altova.com) von Eckhard Flor (Consist ITU) bearbeitet -->
<xs:schema xmlns:bgs="uri:BMU_Waste_Interface/BGS" xmlns:cat="uri:BMU_Waste_Interface/Kataloge" xmlns:ds="http://www.w3.org/2000/09/xmldsig#" xmlns:en="uri:BMU_Waste_Interface/EN" xmlns:lib="uri:BMU_Waste_Interface/Bibliothek" xmlns:reg="uri:BMU_Waste_Interface/Reg" xmlns:xs="http://www.w3.org/2001/XMLSchema" targetNamespace="uri:BMU_Waste_Interface/Reg" elementFormDefault="qualified" attributeFormDefault="qualified">
	<xs:import namespace="uri:BMU_Waste_Interface/EN" schemaLocation="EN.xsd"/>
	<xs:import namespace="uri:BMU_Waste_Interface/BGS" schemaLocation="Begleitschein.xsd"/>
	<xs:import namespace="uri:BMU_Waste_Interface/Bibliothek" schemaLocation="TypenBibliothek.xsd"/>
	<xs:import namespace="uri:BMU_Waste_Interface/Kataloge" schemaLocation="Kataloge.xsd"/>
	<xs:import namespace="http://www.w3.org/2000/09/xmldsig#" schemaLocation="xmldsig-BMU-redefine.xsd"/>
	<!--ein Register-Anforderungs-Dokument-->
	<xs:element name="RegisterAnforderung">
		<xs:annotation>
			<xs:documentation>eine einzelne Register-Anforderung</xs:documentation>
		</xs:annotation>
		<xs:complexType>
			<xs:complexContent>
				<xs:extension base="lib:DokumentTyp">
					<xs:sequence>
						<xs:element name="Angaben" type="reg:AnforderungTyp"/>
						<xs:element ref="ds:Signature" minOccurs="0" maxOccurs="2"/>
					</xs:sequence>
				</xs:extension>
			</xs:complexContent>
		</xs:complexType>
	</xs:element>
	<!--ein Register-Auszug-Dokument-->
	<xs:element name="RegisterAuszug">
		<xs:annotation>
			<xs:documentation>ein einzelner Register-Auszug</xs:documentation>
		</xs:annotation>
		<xs:complexType>
			<xs:complexContent>
				<xs:extension base="lib:DokumentTyp">
					<xs:sequence>
						<xs:element name="RegisterAnforderung" type="reg:AnforderungTyp"/>
						<xs:element name="LfdNrTeilauszug" type="xs:unsignedInt"/>
						<xs:element name="AnzahlTeilauszuege" type="xs:unsignedInt"/>
						<xs:element name="Auszug">
							<xs:complexType>
								<xs:sequence>
									<xs:element name="Deckblatt">
										<xs:annotation>
											<xs:documentation>das Deckblatt zum Abfallstrom</xs:documentation>
										</xs:annotation>
										<xs:complexType>
											<xs:choice>
												<xs:element ref="en:ENSNDokument"/>
												<xs:element name="ENSNExzerpt" type="en:ENSNExzerpt">
													<xs:annotation>
														<xs:documentation>oberste Sicht eines Nachweises</xs:documentation>
													</xs:annotation>
												</xs:element>
												<xs:element ref="en:ENSNVorlageLayerRE"/>
												<xs:element name="IndikatorAbfallartKleinmenge" type="xs:boolean" fixed="true">
													<xs:annotation>
														<xs:documentation>Verwenden, wenn Kleinmengenregister ohne Deckblatt (§24 Abs. 3 NachwV)</xs:documentation>
													</xs:annotation>
												</xs:element>
												<xs:element name="AbfallartUNSvonSammler" type="xs:boolean" fixed="true">
													<xs:annotation>
														<xs:documentation>Verwenden, wenn UNS aus Sammelentsorgung vorliegen (nur für Erzeuger), dann kein Deckblatt ($24 Abs. 3 NachwV)</xs:documentation>
													</xs:annotation>
												</xs:element>
												<xs:element name="IndicatorRegisterPapier" type="xs:boolean">
													<xs:annotation>
														<xs:documentation>Der angeforderte Auszug des Registers wird ganz oder teilweise in Papierform an die Behörde übermittelt. </xs:documentation>
													</xs:annotation>
												</xs:element>
												<xs:element name="IndicatorKeinAbfallstromVorhanden" type="xs:boolean" fixed="true">
													<xs:annotation>
														<xs:documentation>Verwenden, wenn zur Abfrage kein Abfallstrom vorliegt</xs:documentation>
													</xs:annotation>
												</xs:element>
											</xs:choice>
										</xs:complexType>
									</xs:element>
									<xs:element name="Charge" minOccurs="0" maxOccurs="unbounded">
										<xs:annotation>
											<xs:documentation>die Begleitdokumente zum Abfallstrom</xs:documentation>
										</xs:annotation>
										<xs:complexType>
											<xs:choice>
												<xs:element name="BGSsolo">
													<xs:annotation>
														<xs:documentation>ein einzelner BGS</xs:documentation>
													</xs:annotation>
													<xs:complexType>
														<xs:choice>
															<xs:element ref="bgs:BGSDokument"/>
															<xs:element name="BGSExzerpt" type="bgs:BGSExzerpt">
																<xs:annotation>
																	<xs:documentation>oberste Sicht eines BGS</xs:documentation>
																</xs:annotation>
															</xs:element>
														</xs:choice>
													</xs:complexType>
												</xs:element>
												<xs:element name="UNSsolo">
													<xs:annotation>
														<xs:documentation>ein einzelner UNS</xs:documentation>
													</xs:annotation>
													<xs:complexType>
														<xs:choice>
															<xs:element ref="bgs:UNSDokument"/>
															<xs:element name="UNSExzerpt" type="bgs:UNSExzerpt">
																<xs:annotation>
																	<xs:documentation>oberste Sicht eines UNS</xs:documentation>
																</xs:annotation>
															</xs:element>
														</xs:choice>
													</xs:complexType>
												</xs:element>
												<xs:element name="BGSmitUNS">
													<xs:annotation>
														<xs:documentation>ein BGS mit einem oder mehreren UNS</xs:documentation>
													</xs:annotation>
													<xs:complexType>
														<xs:sequence>
															<xs:element name="BGS">
																<xs:complexType>
																	<xs:choice>
																		<xs:element ref="bgs:BGSDokument"/>
																		<xs:element name="BGSExzerpt" type="bgs:BGSExzerpt">
																			<xs:annotation>
																				<xs:documentation>oberste Sicht eines BGS</xs:documentation>
																			</xs:annotation>
																		</xs:element>
																	</xs:choice>
																</xs:complexType>
															</xs:element>
															<xs:element name="UNS" maxOccurs="unbounded">
																<xs:complexType>
																	<xs:choice>
																		<xs:element ref="bgs:UNSDokument"/>
																		<xs:element name="UNSExzerpt" type="bgs:UNSExzerpt">
																			<xs:annotation>
																				<xs:documentation>oberste Sicht eines UNS</xs:documentation>
																			</xs:annotation>
																		</xs:element>
																	</xs:choice>
																</xs:complexType>
															</xs:element>
														</xs:sequence>
													</xs:complexType>
												</xs:element>
											</xs:choice>
										</xs:complexType>
									</xs:element>
								</xs:sequence>
								<!--V1.04 NEU -->
								<!--V1.04 NEU Ende -->
								<!--V1.03
								<xs:choice>
									<xs:element name="Nachweispflichtig" minOccurs="0">
										<xs:complexType>
											<xs:choice>
												<xs:annotation>
													<xs:documentation>hier ist auszuwaehlen, um welche Art Entsorgung es sich bei dem nachweispflichtigen Abfall handelt</xs:documentation>
												</xs:annotation>
												<xs:element name="Entsorgung">
													<xs:complexType>
														<xs:choice>
															<xs:element name="Komplett">
																<xs:complexType>
																	<xs:sequence>
																		<xs:element ref="en:ENSNDokument"/>
																		<xs:element ref="bgs:BGSDokument" minOccurs="0" maxOccurs="unbounded"/>
																	</xs:sequence>
																</xs:complexType>
															</xs:element>
															<xs:element name="Verzeichnis">
																<xs:complexType>
																	<xs:sequence>
																		<xs:element name="ENSNExzerpt" type="en:ENSNExzerpt"/>
																		<xs:element name="BGSExzerpt" type="bgs:BGSExzerpt" minOccurs="0" maxOccurs="unbounded"/>
																	</xs:sequence>
																</xs:complexType>
															</xs:element>
														</xs:choice>
													</xs:complexType>
												</xs:element>
												<xs:element name="Sammelentsorgung">
													<xs:complexType>
														<xs:choice>
															<xs:element name="Komplett">
																<xs:complexType>
																	<xs:sequence>
																		<xs:element ref="en:ENSNDokument"/>
																		<xs:element name="BGS" minOccurs="0" maxOccurs="unbounded">
																			<xs:complexType>
																				<xs:sequence>
																					<xs:element ref="bgs:BGSDokument"/>
																					<xs:element ref="bgs:UNSDokument" minOccurs="0" maxOccurs="unbounded"/>
																				</xs:sequence>
																			</xs:complexType>
																		</xs:element>
																		<xs:element ref="bgs:UNSDokument" minOccurs="0" maxOccurs="unbounded"/>
																	</xs:sequence>
																</xs:complexType>
															</xs:element>
															<xs:element name="Verzeichnis">
																<xs:complexType>
																	<xs:sequence>
																		<xs:element name="ENSNExzerpt" type="en:ENSNExzerpt"/>
																		<xs:element name="BGSExzerpt" type="bgs:BGSExzerpt" minOccurs="0" maxOccurs="unbounded"/>
																		<xs:element name="UNSExzerpt" type="bgs:UNSExzerpt" minOccurs="0" maxOccurs="unbounded"/>
																	</xs:sequence>
																</xs:complexType>
															</xs:element>
														</xs:choice>
													</xs:complexType>
												</xs:element>
												<xs:element name="Kleinmengenentsorgung">
													<xs:complexType>
														<xs:sequence>
															<xs:element ref="bgs:UNSDokument" maxOccurs="unbounded"/>
														</xs:sequence>
													</xs:complexType>
												</xs:element>
											</xs:choice>
										</xs:complexType>
									</xs:element>
									<xs:element name="NichtNachweispflichtig" minOccurs="0">
										<xs:complexType>
											<xs:sequence>
												<xs:element name="Entsorgung">
													<xs:complexType>
														<xs:sequence>
															<xs:element ref="en:ENSNVorlageLayerRE"/>
															<xs:element ref="bgs:BGSVorlageLayer" minOccurs="0" maxOccurs="unbounded"/>
															<xs:element ref="bgs:UNSVorlageLayer" minOccurs="0" maxOccurs="unbounded"/>
														</xs:sequence>
													</xs:complexType>
												</xs:element>
											</xs:sequence>
										</xs:complexType>
									</xs:element>
								</xs:choice>
							-->
							</xs:complexType>
						</xs:element>
						<xs:element name="FreieXMLStruktur" type="lib:FreieXMLStrukturTyp" minOccurs="0" maxOccurs="unbounded">
							<xs:annotation>
								<xs:documentation>signierte, freie XML-Struktur
auch fuer Workflow-Informationen</xs:documentation>
							</xs:annotation>
						</xs:element>
						<xs:element name="Zugang" type="lib:ZugangTyp" minOccurs="0"/>
						<xs:element ref="ds:Signature" minOccurs="0" maxOccurs="2"/>
					</xs:sequence>
				</xs:extension>
			</xs:complexContent>
		</xs:complexType>
	</xs:element>
	<!--die Register-Typen-->
	<xs:complexType name="AnforderungTyp">
		<xs:sequence>
			<!--V1.03			<xs:element name="Registernummer" type="lib:RegisterNummerTyp"/> -->
			<xs:element name="Registerauszugsnummer" type="lib:RegisterAuszugNummerTyp"/>
			<xs:element name="LfdNrTeilanforderung" type="xs:unsignedInt"/>
			<xs:element name="Zeitraum">
				<xs:complexType>
					<xs:sequence>
						<xs:element name="Anfang" type="lib:DatumTyp"/>
						<xs:element name="Ende" type="lib:DatumTyp"/>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
			<xs:element name="Addressat">
				<xs:complexType>
					<xs:sequence>
						<xs:element name="BehoerdlicheNummer">
							<xs:complexType>
								<xs:complexContent>
									<xs:extension base="lib:BehoerdlicheNummerTyp">
										<xs:attribute ref="lib:ATBRolle" use="required"/>
									</xs:extension>
								</xs:complexContent>
							</xs:complexType>
						</xs:element>
						<xs:element name="NameUndAdresse" type="lib:NameUndAdresseTyp" minOccurs="0"/>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
			<xs:element name="FilterKriterien" minOccurs="0">
				<xs:complexType>
					<xs:choice>
						<xs:element name="AND" type="reg:FilterkriterienTyp"/>
						<xs:element name="OR" type="reg:FilterkriterienTyp"/>
					</xs:choice>
				</xs:complexType>
			</xs:element>
			<xs:element name="Lieferfrist" type="lib:DatumTyp" minOccurs="0"/>
			<xs:element name="IndicatorVerzeichnisNachwpfl" type="xs:boolean"/>
			<xs:element name="Behoerde">
				<xs:complexType>
					<xs:sequence>
						<xs:element name="NameUndAdresse" type="lib:NameUndAdresseTyp"/>
						<xs:element name="Ansprechpartner" type="lib:AnsprechpartnerTyp"/>
						<xs:element name="Zugang" type="lib:ZugangTyp" minOccurs="0"/>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
			<xs:element name="Rechtsbehelfsbelehrung" type="lib:RechtsbehelfTyp" minOccurs="0"/>
			<xs:element name="Erklaerung" type="lib:ErklaerungTyp"/>
			<xs:element name="FreieXMLStruktur" type="lib:FreieXMLStrukturTyp" minOccurs="0" maxOccurs="unbounded">
				<xs:annotation>
					<xs:documentation>signierte, freie XML-Struktur
auch fuer Workflow-Informationen</xs:documentation>
				</xs:annotation>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="FilterkriterienTyp">
		<xs:choice maxOccurs="unbounded">
			<xs:element name="NachweisNummer" type="lib:NachweisNummerTyp"/>
			<xs:element name="BehoerdlicheNummerEntsorger" type="lib:BehoerdlicheNummerTyp"/>
			<xs:element name="BehoerdlicheNummerBefoerderer" type="lib:BehoerdlicheNummerTyp"/>
			<xs:element name="BehoerdlicheNummerErzeuger" type="lib:BehoerdlicheNummerTyp"/>
			<xs:element name="BGSUNSNummer">
				<xs:complexType>
					<xs:choice>
						<xs:element name="BGSNummer" type="lib:BGSNummerTyp"/>
						<xs:element name="UNSNummer" type="lib:UNSNummerTyp"/>
					</xs:choice>
				</xs:complexType>
			</xs:element>
			<xs:element name="Abfallschluesselnummer" type="cat:AbfallMaterialschluesselTyp"/>
			<xs:element name="IndicatorGefaehrlich" type="xs:boolean" fixed="true">
				<xs:annotation>
					<xs:documentation>true: alle gefaehrlichen Abfaelle, 
false: </xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="IndicatorNichtGefaehrlich" type="xs:boolean" fixed="true">
				<xs:annotation>
					<xs:documentation>true: alle nicht gefaehrlichen Abfaelle,
false:</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="IndicatorNachweispflichtig" type="xs:boolean" fixed="true">
				<xs:annotation>
					<xs:documentation>true: alle nachweispflichtigen Abfaelle,
false:</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="IndicatorNichtNachweispflichtig" type="xs:boolean" fixed="true">
				<xs:annotation>
					<xs:documentation>true: alle nicht nachweispflichtigen Abfaelle,
false:</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="AND" type="reg:FilterkriterienTyp"/>
			<xs:element name="OR" type="reg:FilterkriterienTyp"/>
		</xs:choice>
	</xs:complexType>
</xs:schema>
